All Versions
50
Latest Version
Avg Release Cycle
55 days
Latest Release
59 days ago

Changelog History
Page 1

  • v4.8.0 Changes

    October 10, 2021

    πŸ”„ Changed

    • ⚑️ Update SwiftSyntax dependency to Swift 5.5 to support Xcode 13.
      Author: Kevin
  • v4.7.1 Changes

    August 26, 2021

    πŸ›  Fixed

    • πŸ›  Fixed that DeepL translation doesn't work for Simplified Chinese.
      PR: #232 | Author: Manabu Nakazawa
  • v4.7.0 Changes

    July 31, 2021

    βž• Added

  • v4.6.0 Changes

    May 08, 2021

    πŸ”„ Changed

    • ⚑️ Updated swift-syntax to match Swift 5.4 to support Xcode 12.5.
      Issues: #222 | PR: #223 | Author: Matt Sanford
  • v4.5.0 Changes

    February 21, 2021

    βž• Added

    • βž• Add support for DeepL API as an alternative for Microsoft Translator API.
      PR: #220 | Author: noppe
  • v4.4.1 Changes

    January 16, 2021

    πŸ›  Fixed

    • πŸ›  Fixed an issue with unmatching country code casing for Portuguese and Canadian French.
      Author: Cihat GΓΌndΓΌz
  • v4.4.0 Changes

    January 16, 2021

    πŸ”„ Changed

    • ⚑️ Updated languages supported by Microsoft Translator – 17 more languages available now!
      Issue: #216 | PR: #219 | Author: Jamie Gough
    • ⚠ BartyCrouch doesn't fail anymore when there's a language not supported by Microsoft Translator (yet) – it prints a warning instead.
      Issue: #215 | PR: #219 | Author: Jamie Gough
  • v4.3.2 Changes

    December 24, 2020

    πŸ›  Fixed

    • πŸ›  Fixed an issue where BartyCrouch did not skip the directories ".git", "Carthage", "Pods", "build", ".build", "docs" anymore.
      Issues: #213, #2 | PR: #214 | Author: Bill Panagiotopoulos
  • v4.3.1 Changes

    October 06, 2020

    πŸ›  Fixed

    • πŸ›  Fix missing usage of harmonizeWithSource parameter for normalize task.
      Issue: #196 | PR: #182 | Author: Marco Pagliari
  • v4.3.0 Changes

    September 28, 2020

    πŸ”„ Changed

    • ⚑️ Updated swift-syntax to match Swift 5.3.
      Issues: #199, #201 | PR: #204 | Author: w8wjb

    πŸ‘ This version drops support for Xcode 11.x, use BartyCrouch 4.2.0 in that case.